Bug 819414 - dbus-daemon and colord restricted from access to .local/share/icc/edid* when symlinked .local from nfs to local disk
dbus-daemon and colord restricted from access to .local/share/icc/edid* when ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 03:30 EDT by Ingvar Hagelund
Modified: 2012-06-25 01:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 01:48:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingvar Hagelund 2012-05-07 03:30:50 EDT
Description of problem:
homedir on nfs, but .local symlinked to a local ssd disk for decent speed.

Version-Release number of selected component (if applicable):
selinux-policy-3.10.0-84.fc16.noarch

How reproducible:
Always

Steps to Reproduce:
1. Log in with home on nfs, but ~/.local symlinked to a local harddisk /home/username/.local  (matching username)

2. selinux won't let dbus-daemon nor colord access ~/.local/share/icc/edid*

  
Actual results:
Unable to log in


Expected results:
Dunno, actually :-)

Additional info:

# grep edid /var/log/audit/audit.log | tail -2
type=AVC msg=audit(1336373665.111:203): avc:  denied  { read } for  pid=1038 comm="dbus-daemon" path="/home/ingvar/.local/share/icc/edid-50bead9a779bd6ac98cacb65c2fa2a7d.icc" dev="dm-4" ino=917828 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=file
type=AVC msg=audit(1336373665.158:204): avc:  denied  { getattr } for  pid=1043 comm="colord" path="/home/ingvar/.local/share/icc/edid-ab2ff9c090dd91985c56ae02eb85058f.icc" dev="dm-4" ino=917830 scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=file


Fixed for now by

# egrep 'dbus-daemon|colord' /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp
Comment 1 Daniel Walsh 2012-05-07 10:19:08 EDT
Where is the symlink pointing?  Did you run restorecon on it?
Comment 2 Ingvar Hagelund 2012-06-24 18:49:39 EDT
I ran restorecon on it, and by some reason rebooted just after that. Problem disappeared.

Note You need to log in before you can comment on or make changes to this bug.